Présentation de Gemkodor



  • Bonjour à tous !

    Je suis Gemkodor, j'ai 25 ans et je joue à Minecraft depuis quelques années (depuis la 1.5 environ). Je suis passionné par le développement, j'en ai d'ailleurs fais mon métier puisque je suis développeur frontend depuis maintenant 2 ans. J'ai décidé de me lancer dans la création de mods Minecraft, afin de faire quelque chose d'un peu différent de ce que j'ai l'habitude de faire.

    J'ai déjà commencé à lire une partie des tutos disponibles sur ce forum (https://www.minecraftforgefrance.fr/showthread.php?tid=16). Étant donné que le nombre de tutoriels est plus important sur la version 1.7, j'ai commencé mes premiers tests avec cette version. Savez-vous si la dernière version de Forge (1.11) diffère beaucoup ?

    Merci et à bientôt !



  • Bienvenue sur le forum !

    Alors dis-toi qu'entre 1.7.10 et 1.8, y'a un fossé ! Mais après entre 1.8 et 1.11, y'a pas tellement de différence, à part certaines internes à Forge/FML et les deux mains en 1.9.



  • Bienvenue sur MFF !
    Personnellement, je n'ai jamais fait de mod en 1.7 mais je sais qu'il y as plains de trucs qui on changé entre 1.7 et 1.8. Et comma l'a dit AymericRed, il n'y as pas eu beaucoup de changement depuis la 1.8.


  • Administrateurs

    Bienvenue sur MFF !

    En effet la plupart des tutoriels sont malheureusement plus à jour 😕



  • C'est vrai que je n'ai pas trouvé beaucoup de tutos concernant les versions les plus récentes. J'ai quand même suivi le tuto de MrCrayFish portant sur la 1.9 et 1.10 (https://www.youtube.com/playlist?list=PLy11IosblXIH-OIKa5yYs-KEA2LCohV8g), puis comme je l'ai dis j'ai lu les tutos présents sur ce forum.

    Quelqu'un a-t-il autre chose à conseiller ? Est-ce que vous me conseillez de rester sur la version 1.7 où je trouve des tutos plus facilement ou est-ce qu'il est souhaitable pour un débutant en modding d'essayer directement de travailler sur la version la plus récente ?

    Je pensais essayer de passer à une version plus récente après avoir appris quelques bases en 1.7, mais s'il y a un fossé entre 1.7 et 1.8, il vaut peut-être mieux que je reste en 1.7 pour le moment, car je pense avoir besoin de bases sur lesquelles me reposer pour continuer mon apprentissage.



  • En général, les tutos basiques de 1.8+ existent (blocks/items), et par exemple, les creative tabs (dont le tuto est en 1.7.10 je crois) ne changent pas du en 1.8+, sachant que personnellement je trouve la 1.7.10 relativement chiante du fait du grand nombre de noms obfusqués (les trucs en func_265165_1) par rapport aux versions plus récentes, et qu'elle est quand même relativement ancienne, je pense qu'il vaudrait mieux coder directement dans les versions plus récentes, oui c'est dur, mais ce sera dur (et long) aussi de passer un mod de la 1.7.10 à la .1.11.2, et si tu buttes quelque part, demande, on t'aidera 😉


  • Administrateurs

    La 1.7.10 est une version vraiment très vieille et à l'arrêt (plus aucun support pour cette version). Donc c'est plus vraiment recommandé de dev avec cette version. Le mieux serait d'utiliser directement les dernières versions. Après il y a toujours le code de MC sur lesquelles tu peux t'appuyer et il y a la section support pour les moddeurs si jamais ça va pas ;).



  • Merci pour vos conseils !

    J'ai trouvé des tutos sur la 1.8 (https://bedrockminer.jimdo.com/modding-tutorials/), je vais me baser sur ça tout en utilisant directement la dernière version (1.11), en espérant que je n'aurais pas trop de problèmes pour adapter, et si j'ai des problèmes je sais où m'adresser, c'est pour ça que je me suis inscris 😉


  • Administrateurs

    Bienvenue ! 😄


  • Rédacteurs

    Bienvenue !



  • Diantre je n'avais pas vu ce sujet de présentation 0_o
    qu'a cela ne tienne je te souhaite la bienvenue sur le forum 😉